Subject: Re: bug#4042: 23.0.94; ftp problem in emacsW32

From: "Xah Lee" <[email-masked]>
Date: Mon, 10 Aug 2009 03:14:32 -0700

Exact same problem with the following emacs version with -Q:

GNU Emacs 23.1.1 (i386-mingw-nt6.0.6002) of 2009-07-29 on SOFT-MJASON

this is a official binary for Windows downloaded from FSF.

Here's OS info:
Windows Vista Home Premium, SP 2.

PROCESSOR_ARCHITECTURE         x86
PROCESSOR_ARCHITEW6432         AMD64
PROCESSOR_IDENTIFIER           AMD64 Family 16 Model 2 Stepping 3, 
AuthenticAMD
PROCESSOR_LEVEL                16
PROCESSOR_REVISION             0203

(not sure what are the ways to get tech spec of OS or hardware on 
windows...or if these are relevant at all. The above are Windows's env var)

Note: i also have ftp from cygwin installed. I do not know which ftp program 
emacs is interfacing ...

 Xah

----- Original Message ----- 
From: "Lennart Borgman" <[email-masked]>
To: "Xah Lee" <[email-masked]>; <[email-masked]>
Sent: Tuesday, August 04, 2009 11:34 PM
Subject: Re: bug#4042: 23.0.94; ftp problem in emacsW32

On Wed, Aug 5, 2009 at 2:25 AM, Xah Lee<[email-masked]> wrote:
> am having problems using ftp in emacsW32.
>
> Basically, when i try opening
> /ftp:[email-masked]:/httpdocs/
>
> emacs prompt for password, then after i hit Enter, emacs stuck there.
> Switching to “*Messages*” shows nothing relevant. Switching to
> “*ftp [email-masked]*” shows empty buffer.
>
> any idea how to debug this?
>
> Carbon emacs (emacs22) on my OSX 10.4.* works ok.
>
> GNU Emacs 23.0.94.1 (i386-mingw-nt6.0.6002) of 2009-05-28 on
> LENNART-69DE564 (patched)

The patched version of Emacs+EmacsW32 comes with an ftp programs that
has worked better for me than the one included in Windows. I have got
no bug reports on this, but it might be that program that is at fault
here. Or it might be some changes I have made in that part of Emacs.

Could you please first try starting from

   emacs -Q

and reproduce the problem? That will use the ftp program that comes
with Windows.